%define         anolis_release 1

%global         project_name rabbitmq-c
%global         gh_commit   124722b5045baa41a24ce2e2d7c52a47467e7ac0
%global         gh_short    %(c=%{gh_commit}; echo ${c:0:7})
%global         gh_owner    alanxz
%global         gh_project  rabbitmq-c
%global         libname     librabbitmq

Name:           librabbitmq
Version:        0.14.0
Release:        %{anolis_release}%{?dist}
Summary:        a C-language AMQP client library for use with v2.0+ of the RabbitMQ broker.

License:        MIT
URL:            http://github.com/alanxz/rabbitmq-c/
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{gh_project}-%{version}-%{gh_short}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  openssl-devel
BuildRequires:  popt-devel > 1.14
BuildRequires:  make
BuildRequires:  xmlto

%description
This is a C-language AMQP client library for use with v2.0+ of the RabbitMQ broker.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for using %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{gh_project}-%{gh_commit} -p1

sed -e '/test_basic/d' -i tests/CMakeLists.txt

%build
%cmake \
  -DBUILD_TOOLS_DOCS:BOOL=ON \
  -DINSTALL_STATIC_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

%generate_compatibility_deps

%check
%ctest

%files
%license LICENSE
%{_libdir}/%{name}.so.*
%dir %{abidir}
%{abidir}/%{name}.dump

%files devel
%{_libdir}/%{name}.so
%{_includedir}/*.h
%dir %{_includedir}/rabbitmq-c
%{_includedir}/rabbitmq-c/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/*

%files doc
%doc AUTHORS THANKS *.md

%changelog
* Wed Feb 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.14.0-1
- Refer to CentOS Stream librabbitmq-0.14.0-1(tdawson@redhat.com)

* Mon Nov 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.13.0-3
- fix CVE-2023-35789

* Thu Jun 15 2023 Funda Wang <fundawang@yeah.net> - 0.13.0-2
- Cleanup spec

* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 0.13.0-1
- package init from upstream
